Appearance
Get teams
GET
/v1/teams
Get teams
Authorizations
api_key
Type
API Key (header: X-Api-Key)
Parameters
Query Parameters
sorting
Default
nullpage_size
Number of items per page
Type
integer
Default
50page
Current page
Type
integer
Default
1team_slug
slug of the team according to https://liaison.reuters.com/tools/sports-team-codes
Type
string
Example
"liverpool-fc"team_name
name of the club
Type
string
Example
"Liverpool FC"popular
show popular clubs (most bookings)
Type
boolean
Example
trueclub_logo
show teams with club logo
Type
boolean
Example
truesport_type
Enum: soccer, motorsport, tennis, rugby, darts, horseracing, boxing, other, motogp, formula1, cricket, basketball, combatsport, icehockey, nba, nfl, mlb, watersport, dtm, indycar, superbike, padel, handball, golf, rowing, cycling, sailing, music. Operators, e.g. eq:soccer, ne:soccer, in:[soccer,music], not_in:[soccer,music]
Example
"soccer"tournament_id
tournament to filter results. Operators, e.g. eq:2c2a9dc47e794e0ba88a6917e2b9047b_trn, ne:2c2a9dc47e794e0ba88a6917e2b9047b_trn, in:[2c2a9dc47e794e0ba88a6917e2b9047b_trn,7d881550d5ba4cb2b3faca11a9b1695d_trn], not_in:[2c2a9dc47e794e0ba88a6917e2b9047b_trn,7d881550d5ba4cb2b3faca11a9b1695d_trn]
Example
"6652b082b6d64e92af2794fb1e352e86_trn"slug
seo friendly alternative to uuid
Type
string
Example
"liverpool-fc"iso_country
filter teams on their (ISO 3166-1 alpha-3) country of origin
Type
string
Example
"GBR"event_startdate
Only returns teams which are linked to events with a startdate matching this criteria. Operators, e.g. eq:2026-01-01, ne:2026-01-01, gt:2026-01-01, ge:2026-01-01, lt:2026-01-01, le:2026-01-01, between:2026-01-01,2026-02-01
Example
"2025-04-01"interesting
filter interesting teams
Type
boolean
Example
trueteam_id
filter on Team ID. Operators, e.g. eq:2c2a9dc47e794e0ba88a6917e2b9047b_tms, ne:2c2a9dc47e794e0ba88a6917e2b9047b_tms, in:[2c2a9dc47e794e0ba88a6917e2b9047b_tms,7d881550d5ba4cb2b3faca11a9b1695d_tms], not_in:[2c2a9dc47e794e0ba88a6917e2b9047b_tms,7d881550d5ba4cb2b3faca11a9b1695d_tms]
Example
"7841dbb553b74476b9236a92f56f27e9_tms"Responses
OK
application/json
JSON "teams": [ { "official_name": "Liverpool FC", "team_id": "7841dbb553b74476b9236a92f56f27e9_tms", "popular_team": true, "sport_type": "soccer", "slug": "liverpool-fc", "iso_country": "GBR", "wikipedia_slug": "Liverpool FC", "wikipedia_snippet": "Liverpool Football Club is a professional football club based in Liverpool, England. The club competes in the Premier League...", "venue_id": "7d881550d5ba4cb2b3faca11a9b1695d_vnx", "team_slug": "LIV", "logo_filename": "liverpoolfc_lrkvr.png", "colors_svg": "<?xml version="1.0" encoding="UTF-8"?><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100" version="1.1"><circle cx="50" cy="50" r="45" fill="red" stroke="black" stroke-width="2"/></svg>" } ], "pagination": { "total_size": 1, "page_size": 50, "page_number": 1, "next_page": "string", "previous_page": "string" }
{
}